package com.jsh.erp.datasource.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 盘点任务明细
 */
@Data
@Accessors(chain = true)
public class TaskStocktakingItemDTO {

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("新仓位货架")
    private String newPosition;

    @ApiModelProperty("新库存数")
    private BigDecimal newInventory;

    @ApiModelProperty("差异数量")
    private Integer differenceCount;

    @ApiModelProperty("差异原因")
    private String differenceReason;

}
