package com.jsh.erp.datasource.dto;


import com.jsh.erp.datasource.entities.DepotHead;
import com.jsh.erp.datasource.entities.DepotItem;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 单据信息
 */
@Data
public class DepotHeadDto {

    @ApiModelProperty("单据主表信息")
    private DepotHead info;

    @ApiModelProperty("单据子表信息")
    private List<DepotItem> rows;

    private BigDecimal preTotalPrice;

}
