package com.jsh.erp.datasource.entities;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 商品库存修改日志表实体类
 */
@Data
@TableName("jsh_inventory_log")
public class InventoryLog {

    @ApiModelProperty("主键id")
    private Long id;

    @ApiModelProperty("操作类型")
    private String type;

    @ApiModelProperty("单据、盘点子表id")
    private Long itemId;

    @ApiModelProperty("商品id")
    private Long materialId;

    @ApiModelProperty("商品子表id")
    private Long materialExtendId;

    @ApiModelProperty("原始库存")
    private Integer originalStock;

    @ApiModelProperty("当前库存")
    private Integer currentStock;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("更新用户")
    private Long updateUser;

}
